> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reject Warranty

> This endpoint rejects a warranty claim.

### Body

<ParamField body="warranty_id" type="string">
  The ID provided in the data tab may be used to identify the warranty
</ParamField>

<ParamField body="reason" type="string">
  The reason for rejecting the warranty claim
</ParamField>

### Response

<ResponseField name="id" type="string">
  The ID provided in the data tab may be used to identify the warranty
</ResponseField>

<ResponseField name="object" type="string">
  The object type
</ResponseField>

<ResponseField name="success" type="number">
  Indicates whether the call was successful. true if successful, false if not.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request PUT 'https://api.stateset.com/v1/warranty/:id/reject' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
      "reason": "Warranty period expired"
  }'
  ```

  ```graphQL GraphQL theme={null}
        mutation warrantyRejectMutation {
          warrantyReject(id: "${warrantyId}", reason: "${reason}") {
            warranty {
              id,
              status
            }
            userErrors {
              field
              message
            }
          }
        }
      `;
  ```

  ```js Node.js theme={null}
  const warranties = await stateset.warranties.reject({
    id: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
    reason: 'Warranty period expired'
  });
  ```

  ```python Python theme={null}
  warranties = stateset.warranties.reject({
    'id': '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
    'reason': 'Warranty period expired'
  })
  ```

  ```ruby Ruby theme={null}
  warranties = Stateset::Warranty.reject({
    id: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
    reason: 'Warranty period expired'
  })
  ```

  ```go Go theme={null}
  warranties, err := stateset.Warranties.reject({
    ID: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
    Reason: 'Warranty period expired'
  })
  ```

  ```java Java theme={null}
  Warranty warranties = stateset.Warranties.reject({
    id: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
    reason: 'Warranty period expired'
  });
  ```

  ```php PHP theme={null}
  $warranties = $stateset->warranties->reject([
    'id' => '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
    'reason' => 'Warranty period expired'
  ]);
  ```

  ```csharp C# theme={null}
  var warranties = await stateset.Warranties.Reject(new {
    Id = '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
    Reason = 'Warranty period expired'
  });
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
    "object": "warranty",
    "rejected": true,
    "reason": "Warranty period expired"
  }
  ```
</ResponseExample>
